### Method

# Template Scope get

#### Declaration

    TmplSymbol*
    tmpl_scope_get (
      TmplScope* self,
      const gchar* name
    )

#### Description

If the symbol could not be found, it will be allocated.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `TmplSymbol`

A `TmplSymbol`.

The returned data is owned by the instance.